@generic{,
   title = {ln11.pdf},
}
@report{Sidi1991,
   abstract = {Sidi, A., Efficient implementation of minimal polynomial and reduced rank extrapolation methods, Journal of Computational and Applied Mathematics 36 (1991) 305-337. The minimal polynomial extrapolation (MPE) and reduced rank extrapolation (RRE) are two very effective techniques that have been used in accelerating the convergence of vector sequences, such as those that are obtained from iterative solution of linear and nonlinear systems of equations. Their definitions involve some linear least-squares problems, and this causes difficulties in their numerical implementation. In this work timewise efficient and numerically stable implementations for MPE and RRE are developed. A computer program written in FORTRAN 77 is also appended and applied to some model problems, among them a hypersonic flow problem involving chemical reactions.},
   author = {Avram Sidi},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Keywork Extrapolation,QR factorization,convergence acceleration,fixed-point iterative techniques,least squares,linear and nonlinear systems,minimal polynomial extrapolation,reduced rank extrapola-tion,vector sequences},
   pages = {305},
   title = {Efficient implementation of minimal polynomial and reduced rank extrapolation methods},
   volume = {36},
   year = {1991},
}
@report{Saad1986,
   abstract = {We present an iterative method for solving linear systems, which has the property of minimizing at every step the norm of the residual vector over a Krylov subspace. The algorithm is derived from the Arnoldi process for constructing an /2-orthogonal basis of Krylov subspaces. It can be considered as a generalization of Paige and Saunders' MINRES algorithm and is theoretically equivalent to the Generalized Conjugate Residual (GCR) method and to ORTHODIR. The new algorithm presents several advantages over GCR and ORTHODIR.},
   author = {Youcef Saad and Martin H Schultz},
   issue = {3},
   keywords = {Krylor subspaces,conjugate gradient,descent methods,minimal residual methods AMS(MOS) subject classification 65F,nonsymmetric systems},
   title = {GMRES: A GENERALIZED MINIMAL RESIDUAL ALGORITHM FOR SOLVING NONSYMMETRIC LINEAR SYSTEMS*},
   volume = {7},
   year = {1986},
}
@report{Eisenstat1983,
   author = {Stanley C Eisenstat and Howard C Elman and Martin H Schultz},
   issue = {2},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {345-357},
   title = {Variational Iterative Methods for Nonsymmetric Systems of Linear Equations},
   volume = {20},
   year = {1983},
}
@article{WalkerNi,
   abstract = {This paper concerns an acceleration method for fixed-point iterations that originated in work of D. G. Anderson [J. Assoc. Comput. Mach., 12 (1965), pp. 547-560], which we accordingly call Anderson acceleration here. This method has enjoyed considerable success and wide usage in electronic structure computations, where it is known as Anderson mixing; however, it seems to have been untried or underexploited in many other important applications. Moreover, while other acceleration methods have been extensively studied by the mathematics and numerical analysis communities, this method has received relatively little attention from these communities over the years. A recent paper by H. Fang and Y. Saad [Numer. Linear Algebra Appl., 16 (2009), pp. 197-221] has clarified a remarkable relationship of Anderson acceleration to quasi-Newton (secant updating) methods and extended it to define a broader Anderson family of acceleration methods. In this paper, our goals are to shed additional light on Anderson acceleration and to draw further attention to its usefulness as a general tool. We first show that, on linear problems, Anderson acceleration without truncation is "essentially equivalent" in a certain sense to the generalized minimal residual (GMRES) method. We also show that the Type 1 variant in the Fang-Saad Anderson family is similarly essentially equivalent to the Arnoldi (full orthogonalization) method. We then discuss practical considerations for implementing Anderson acceleration and illustrate its performance through numerical experiments involving a variety of applications.},
   author = {Homer F Walker and Peng Ni},
   doi = {10.1137/10078356X},
   issue = {4},
   keywords = {65F10,Arnoldi (full orthogonalization) method,acceleration methods,alternating least-squares,domain decomposition AMS subject classifications 65H10,expectation-maximization algorithm,fixed-point iterations,generalized minimal residual method,iterative methods,mixture densities,nonnegative matrix factorization},
   pages = {1715-1735},
   title = {Anderson acceleration for fixed-point iterations},
   volume = {49},
   url = {http://www.siam.org/journals/sinum/49-4/78356.html},
   journal= {SIAM Journal of Numerical Analysis},
   year = {2011},
}
@report{Gay1979,
   author = {David M Gay},
   issue = {4},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {623-630},
   title = {Some Convergence Properties of Broyden's Method},
   volume = {16},
   year = {1979},
}
@report{,
   author = {C G Broyden},
   title = {A Class of Methods for Solving Nonlinear Simultaneous Equations},
   url = {https://www.ams.org/journal-terms-of-use},
}
@report{Gragg1976,
   author = {W B Gragg and G W Stewart},
   issue = {6},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {889-903},
   title = {A Stable Variant of the Secant Method for Solving Nonlinear Equations},
   volume = {13},
   year = {1976},
}
@report{,
   abstract = {The numerical solution of nonlinear integral equations involves the iterative so-Iutioon of finite systems of nonlinear algebraic or transcendental equations. Certain corwen-tional techniqucs for treating such systems are reviewed in the context of a particular class of nonlinear equations. A procedure is synthesized to offset some of the disadvantages of these techniques in this context; however, the procedure is not restricted to this pt~rticular class of systems of nonlinear equations.},
   author = {Donald G Anderson},
   title = {Iterative Procedures for Nonlinear Integral Equations},
}
@report{,
   abstract = {A procedure for the simultaneous sohition of a system of not-necessarily-linear equations, t~ generalization of the secanl, method for a single function of one w~ri~fi)le, is given.},
   author = {Philip Wolfe},
   title = {The Secant Method for Simultaneous Equations Nonlinear},
}
@report{,
   abstract = {This paper describes a variant of the generalized secant method for solving simultaneous non-linear equations. The method is of particular value in cases where the evaluation of the residuals for imputed values of the unknowns is tedious, or a good approximation to the solution and the Jacobian at the solution are available. Experiments are described comparing the method with the Newton-Raphson process. It is shown that for suitable problems the method is considerably superior.},
   author = {J G P Barnes},
   title = {An algorithm for solving non-linear equations based on the secant method},
   url = {https://academic.oup.com/comjnl/article/8/1/66/489886},
}
@article{Polak2002,
   abstract = {An ab initio linear combination of atomic orbitals approach to local-density theory, capable of handling complex structural geometries, is presented. It incorporates a self-consistent treatment of interatomic charge transfer, which allows an accurate calculation of total energies. The method is applied to study a variety of possible 1&(1 and reconstructed 2)& 1 models of the diamond (111)sur-face. Among the many models suggested, only the Pandey m-bonded chain model has a lower energy than that of the 1& 1 surface. A minimum-energy structure is obtained for this model after extensive consideration of relaxations. No dimerization of the surface chain is found to occur.},
   author = {David Vanderbilt and Steven G. Louie},
   issue = {10},
   pages = {6118-6130},
   title = {Physical review b, volume 30},
   volume = {30},
   year = {1984},
}
@report{Eyert1996,
   abstract = {(nonlinear) self-consistency equations are formulated in terms of the electronic charge density and after discretiza-We discuss several methods for accelerating the convergence of the iterative solution of nonlinear equation systems commonly in tion they are solved by iteration (for a more detailed de-use and point to interrelations between them. In particular we inves-scription see Ref. [9] and references therein). tigate two of the most sophisticated schemes, namely the Anderson Usually each of these iterations itself needs a lot of CPU mixing and the Broyden update, both generalized to the consider-time and thus reducing their number by accelerating the ation of arbitrarily many previous iterations. For the Broyden convergence would save computer resources or else allow method we give a new derivation which is much simpler than that for larger systems to be investigated [10]. As concerns recently proposed by Vanderbilt and Louie. We show that if the additional parameters invented by these authors in order to increase these general demands, we believe electronic structure cal-flexibility are used to optimize the convergence of the iteration culations are no exception. process they in fact cancel out. In addition we prove that in this In order to get a better feeling of which method would (optimal) case the Anderson mixing and the Broyden update as be best suited to the context just outlined we started the applied to the inverse Jacobian are fully identical. Thus we come present analysis of convergence acceleration schemes. to the conclusion that neither of these schemes is superior. Moreover , we show that Broyden update of the inverse Jacobian is supe-Here we concentrated especially on quasi-Newton-rior to updating the Jacobian itself. Finally we propose an extension Raphson schemes and generalized secant methods. When of the Anderson mixing which avoids the numerical difficulties all applying the former class to nonlinear equation systems these methods are faced with. we are led to Broyden's rank-1 update [1, 3, 6, 11-15] and a recent generalization of this scheme which was initiated by Vanderbilt and Louie and improved the quality of the},
   author = {V Eyert},
   journal = {JOURNAL OF COMPUTATIONAL PHYSICS},
   pages = {271-285},
   title = {A Comparative Study on Methods for Convergence Acceleration of Iterative Vector Sequences},
   volume = {124},
   year = {1996},
}
@article{Fang2009,
   abstract = {Many applications in science and engineering lead to models that require solving large-scale fixed point problems, or equivalently, systems of nonlinear equations. Several successful techniques for handling such problems are based on quasi-Newton methods that implicitly update the approximate Jacobian or inverse Jacobian to satisfy a certain secant condition. We present two classes of multisecant methods which allow to take into account a variable number of secant equations at each iteration. The first is the Broyden-like class, of which Broyden's family is a subclass, and Anderson mixing is a particular member. The second class is that of the nonlinear Eirola-Nevanlinna-type methods. This work was motivated by a problem in electronic structure calculations, whereby a fixed point iteration, known as the self-consistent field (SCF) iteration, is accelerated by various strategies termed 'mixing'. © 2008 John Wiley & Sons, Ltd.},
   author = {Haw Ren Fang and Yousef Saad},
   doi = {10.1002/nla.617},
   issn = {10705325},
   issue = {3},
   journal = {Numerical Linear Algebra with Applications},
   keywords = {Anderson mixing,Broyden's methods,Fixed point problems,Quasi-Newton methods,Self-consistent field (SCF) iteration},
   month = {3},
   pages = {197-221},
   title = {Two classes of multisecant methods for nonlinear acceleration},
   volume = {16},
   year = {2009},
}
@article{Sidi1986,
   abstract = {A general approach to the construction of convergence acceleration methods for vector sequences is proposed. Using this approach, one can generate some known methods, such as the minimal polynomial extrapolation, the reduced rank extrapolation, and the topological epsilon algorithm, and also some new ones. Some of the new methods are easier to implement than the known methods and are observed to have similar numerical properties. The convergence analysis of these new methods is carried out, and it is shown that they are especially suitable for accelerating the convergence of vector sequences that are obtained when one solves linear systems of equations iteratively. A stability analysis is also given, and numerical examples are provided. The convergence and stabililty properties of the topological epsilon algorithm are likewise given.},
   author = {Avram Sidi and William F. Ford and David A. Smith},
   doi = {10.1137/0723013},
   issn = {00361429},
   issue = {1},
   journal = {SIAM Journal on Numerical Analysis},
   pages = {178-196},
   title = {ACCELERATION OF CONVERGENCE OF VECTOR SEQUENCES.},
   volume = {23},
   year = {1986},
}
@report{,
   abstract = {We show that almost all vector extrapolation methods possess the property of quasilinearity (that is, translativity and homogeneity). We give a necessary and sufficient condition for the property of translativity. This condition is applied to some vector extrapolation methods, in particular the H-algorithm, the E-algorithm, and certain polynomial extrapolation methods. An application of this condition to convergence acceleration is also given and applied to Henrici's transformation and to the vector generalization of the E-algorithm given by Wimp.},
   author = {Hassane Sadok},
   title = {Quasilinear Vector Extrapolation Methods},
}
@article{Benazzouz1997,
   abstract = {We give a new characterization of quasilinear sequence transformations; we prove that any quasilinear transformation can be represented by its kernel. This approach is new and allows one to give a general result of convergence acceleration and tools for the construction of new quasilinear transformations.},
   author = {A Benazzouz},
   journal = {Numerical Algorithms},
   keywords = {convergence acceleration processes AMS subject classification: 65F10,kernel,quasilinear sequence,transformations},
   pages = {275-285},
   title = {Quasilinear sequence transformations},
   volume = {15},
   year = {1997},
}
@report{Cabay1976,
   author = {S Cabay and L W Jackson},
   issue = {5},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {734-752},
   title = {A Polynomial Extrapolation Method for Finding Limits and Antilimits of Vector Sequences},
   volume = {13},
   year = {1976},
}
@article{Gekeler1972,
   abstract = {The c-algorithm has been proposed by Wynn on a number of occasions as a convergence acceleration device for vector sequences; however, little is known concerning its effect upon systems of equations. In this paper, we prove that the algorithm applied to the Picard sequence x,+i = F(xO of an analytic function F: R" 3 D-» Rn provides a quadratically convergent iterative method; furthermore, no differentiation of F is needed. Some examples illustrate the numerical performance of this method and show that convergence can be obtained even when F is not contractive near the fixed point. A modification of the method is discussed and illustrated.},
   author = {E Gekeler},
   journal = {MATHEMATICS Of COMPUTATION},
   title = {On the Solution of Systems of Equations by the Epsilon Algorithm of Wynn},
   volume = {26},
   url = {https://www.ams.org/journal-terms-of-use},
   year = {1972},
}
@article{,
   title = {These_Brezinski.Claude_1971},
}
@report{Shafer1974,
   author = {R E Shafer},
   issue = {2},
   journal = {Source: SIAM Journal on Numerical Analysis},
   note = {does not appear immediately relevant, perhaps was used as reference material on quadratic processes in general},
   pages = {447-460},
   title = {On Quadratic Approximation},
   volume = {11},
   year = {1974},
}
@article{Brezinski1975,
   abstract = {Zusammenfassung Numerical Stability of a Quadratic Method for Solving Systems of Non Linear Equations. In this paper the numerical stability of a recent method to solve systems of nonlinear equations is studied. This method, based on the e-algorithm, has a quadratic convergence without calculating any derivatives and under quite benevolent conditions. The numerical stability of this algorithm is studied using the theory of the A-stability for the propagation of round-off errors in the numerical integration of differential equations. Numerische Stabilit/it einer quadratisch konvergenten Methode zur LiJsung yon Systemen nicht-linearer Gleichungen. In diesem Artikel wird die numerische Stabilitfit einer neuen Methode zur L6sung von Systemen nicht-linearer Gleichungen studiert. Diese Methode, sie basiert auf dem ~-Algorithmus, ist unter schwachen Voraussetzungen und ohne Verwendung von Ableitungen quadratisch konvergent. Die Stabilitfit dieses Algorithmus wird unter Verwendung der Theorie der A-Stabilit~it beztiglich der Fortpflanzung yon Rundungsfehlern bei der numerischen Integration yon Differentialgleichungen studiert. The aim of this paper is to investigate from a theoretical and a practical point of vue, the numerical stability of a recent method for solving systems of non linear equations. This method is based on the vector e-algorithm of P. Wynn [9]. Its convergence has a quadratic character without calculating any derivative. The numerical stability of this algorithm (i. e. the propagation of round-off errors) is studied using the well-known theory of A-stability for the integration of systems of differential equations. The theory can be applied to any other iterative process.},
   author = {C Brezinski},
   journal = {Computing},
   pages = {205-211},
   publisher = {Springer-Verlag},
   title = {Numerical Stability of a Quadratic Method for Solving Systems of Non Linear Equations},
   volume = {14},
   year = {1975},
}
@article{Sidi1988,
   abstract = {It is shown that the four vector extrapolation methods, minimal polynomial extrapolation, reduced rank extrapolation, modified minimal polynomial extrapolation, and topological epsilon algorithm, when applied to linearly generated vector sequences, are Krylov subspace methods, and are equivalent to some well known conjugate gradient type methods. A unified recursive method that includes the conjugate gradient, conjugate residual, and generalized conjugate gradient methods is developed. Finally, the error analyses for these methods are unified, and some known and some new error bounds for them are given. © 1988.},
   author = {Avram Sidi},
   doi = {10.1016/0377-0427(88)90289-0},
   issn = {03770427},
   issue = {1},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Chebyshev acceleration,Iterative methods,Krylov subspace methods,conjugate gradient type methods,extrapolation,projection,vector sequences},
   pages = {71-88},
   title = {Extrapolation vs. projection methods for linear systems of equations},
   volume = {22},
   year = {1988},
}
